> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/document-xml-adx/adx-elements/columns.md).

# Columns

`<columns>` can be used to display content in multiple columns on the document, e.g. line in a printed newspaper.

To define columns, you need to add as many `<column>` tags as you would like to have columns. Each column needs to have a width in % or a unit (e.g. mm or cm).

It can only be used within a [`<body>`](/document-xml-adx/adx-elements/body.md).

## Example

```xml
<columns gap="6mm">
    <column width="40%">
        <text>Left Column</text>
    </column>
    <column width="60%">
        <text>Right Column</text>
    </column>
</columns>
```

## Attributes

### `<columns>`

#### `gap` (optional)

How much space should there between the columns in pt, mm or cm e.g. `gap="8mm"`.

#### `spaceBefore` (optional)

Space before the columns in pt, mm or cm.

#### `spaceAfter` (optional)

Space after the columns in pt, mm or cm.

### `<column>`

#### `width`

The width of the column. Can be in pt, mm, cm, or as a percentage (e.g. `width="40%"`).

A `<column>` can contain the following elements: `<checkbox>`, `<field>`, `<image>`, `<keepTogether>`, `<line>`, `<rect>`, `<space>`, `<table>`, and `<text>`.

<details>

<summary></summary>

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/document-xml-adx/adx-elements/columns.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
